{ lib, ... }:
{
  programs = {
    zsh.enable = lib.mkDefault true;
    gnupg.agent = {
      enable = lib.mkDefault true;
      enableSSHSupport = lib.mkDefault true;
    };
    nix-index = {
      enable = lib.mkDefault true;
      enableBashIntegration = lib.mkDefault false;
      enableZshIntegration = lib.mkDefault true;
    };
  };
}